Get personal data form
curl --request GET \
--url https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"properties": {
"lastName": {
"label": "Last Name",
"required": false,
"description": "Employee's last name",
"unified_key": "last_name",
"type": "text",
"reg_exp": null,
"current_value": "Doe"
},
"homeCity": {
"label": "City",
"required": false,
"description": "City of the employee's home address",
"unified_key": "home_address.city",
"type": "text",
"reg_exp": null,
"current_value": "Munich"
},
"homeAddressLine2": {
"label": "Address Line 2",
"required": false,
"description": "Second line of the employee's home address",
"unified_key": "home_address.street_2",
"type": "text",
"reg_exp": null,
"current_value": "Apartment 4"
}
}
}
}Update employee
Get personal data form
Get the form for updating an employee’s personal data.
GET
/
hris
/
employees
/
{employee_id}
/
form
/
personal_data
Get personal data form
curl --request GET \
--url https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/personal_data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"properties": {
"lastName": {
"label": "Last Name",
"required": false,
"description": "Employee's last name",
"unified_key": "last_name",
"type": "text",
"reg_exp": null,
"current_value": "Doe"
},
"homeCity": {
"label": "City",
"required": false,
"description": "City of the employee's home address",
"unified_key": "home_address.city",
"type": "text",
"reg_exp": null,
"current_value": "Munich"
},
"homeAddressLine2": {
"label": "Address Line 2",
"required": false,
"description": "Second line of the employee's home address",
"unified_key": "home_address.street_2",
"type": "text",
"reg_exp": null,
"current_value": "Apartment 4"
}
}
}
}Closed Beta Feature: This endpoint is now in closed beta. Please reach out to your account manager or support.
Example Form
{
"properties": {
"lastName": {
"type": "text",
"label": "Last Name",
"required": false,
"description": "Employee's last name",
"unified_key": "last_name",
"reg_exp": null,
"current_value": "Doe"
},
"homeCity": {
"type": "text",
"label": "City",
"required": false,
"description": "City of the employee's home address",
"unified_key": "home_address.city",
"reg_exp": null,
"current_value": "Munich"
},
"homeAddressLine2": {
"type": "text",
"label": "Address Line 2",
"required": false,
"description": "Second line of the employee's home address",
"unified_key": "home_address.street_2",
"reg_exp": null,
"current_value": "Apartment 4"
}
}
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID or the HRIS ID of the employee.
Example:
"remote:12345"
Response
GET /hris/employees/:employee_id/form/personal_data Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"properties": {
"lastName": {
"label": "Last Name",
"required": false,
"description": "Employee's last name",
"unified_key": "last_name",
"type": "text",
"reg_exp": null,
"current_value": "Doe"
},
"homeCity": {
"label": "City",
"required": false,
"description": "City of the employee's home address",
"unified_key": "home_address.city",
"type": "text",
"reg_exp": null,
"current_value": "Munich"
},
"homeAddressLine2": {
"label": "Address Line 2",
"required": false,
"description": "Second line of the employee's home address",
"unified_key": "home_address.street_2",
"type": "text",
"reg_exp": null,
"current_value": "Apartment 4"
}
}
}
Was this page helpful?